# OSGeo::FDO::Connections::Capabilities::FunctionDefinition Class Reference
[OSGeo::FDO::Connections::Capabilities]

Inheritance diagram for OSGeo::FDO::Connections::Capabilities::FunctionDefinition:

[legend]

List of all members.

## Detailed Description

The FunctionDefinition class contains metadata that describes a function and its arguments.

()

## Public Member Functions
| FunctionDefinition (System::String *name, System::String *description, System::Boolean isAggregate, OSGeo::FDO::Connections::Capabilities::SignatureDefinitionCollection *signatures, OSGeo::FDO::Connections::Capabilities::FunctionCategoryType functionCategoryType)
| Constructs an instance of a FunctionDefinition using the specified arguments.
| FunctionDefinition (System::String *name, System::String *description, System::Boolean isAggregate, OSGeo::FDO::Connections::Capabilities::SignatureDefinitionCollection *signatures)
| Constructs an instance of a FunctionDefinition using the specified arguments.
| FunctionDefinition (System::String *name, System::String *description, OSGeo::FDO::Schema::PropertyType returnPropertyType, OSGeo::FDO::Schema::DataType returnType, OSGeo::FDO::Connections::Capabilities::ArgumentDefinitionCollection *arguments, OSGeo::FDO::Connections::Capabilities::FunctionCategoryType functionCategoryType)
| Constructs an instance of a FunctionDefinition using the specified arguments.
| FunctionDefinition (System::String *name, System::String *description, OSGeo::FDO::Schema::PropertyType returnPropertyType, OSGeo::FDO::Schema::DataType returnType, OSGeo::FDO::Connections::Capabilities::ArgumentDefinitionCollection *arguments)
| Constructs an instance of a FunctionDefinition using the specified arguments.
| FunctionDefinition (System::String *name, System::String *description, OSGeo::FDO::Schema::DataType returnType, OSGeo::FDO::Connections::Capabilities::ArgumentDefinitionCollection *arguments, OSGeo::FDO::Connections::Capabilities::FunctionCategoryType functionCategoryType)
| Constructs an instance of a FunctionDefinition using the specified arguments.
| FunctionDefinition (System::String *name, System::String *description, OSGeo::FDO::Schema::DataType returnType, OSGeo::FDO::Connections::Capabilities::ArgumentDefinitionCollection *arguments)
| Constructs an instance of a FunctionDefinition using the specified arguments.
__property OSGeo::FDO::Connections::Capabilities::ReadOnlyArgumentDefinitionCollection * | get_Arguments ()
| Gets an array of ArgumentDefinition objects required for the function.
__property System::Boolean | get_CanSetName ()
| Indicates that this object allows its name to change. This function is defined so that this class can be a NamedCollection element.
__property System::String * | get_Description ()
| Gets a brief description of the function.
__property OSGeo::FDO::Connections::Capabilities::FunctionCategoryType | get_FunctionCategoryType ()
| Gets the category the function belongs to.
__property System::Boolean | get_IsAggregate ()
| Returns true if the function is an aggregate function and false if it is a simple function.
__property System::String * | get_Name ()
| Gets the name of the function.
__property OSGeo::FDO::Schema::PropertyType | get_ReturnPropertyType ()
| Gets the PropertyType of the function return value.
__property OSGeo::FDO::Schema::DataType | get_ReturnType ()
| Gets the DataType of the function return value.
__property OSGeo::FDO::Connections::Capabilities::ReadOnlySignatureDefinitionCollection * | get_Signatures ()
| Gets an array of SignatureDefinition objects that describe the different signatures supported by the function.